## net.i2p.router.transport
Interface TransportEventListener

All Known Implementing Classes:
  TransportManager

    public interface TransportEventListener

Method Summary
`void` `messageReceived(I2NPMessage message, RouterIdentity fromRouter, Hash fromRouterHash)`

Method Detail

### messageReceived

    void messageReceived(I2NPMessage message,
                         RouterIdentity fromRouter,
                         Hash fromRouterHash)